Get inventories in specific region - Fabric
Get inventories in specific region
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/geography \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/geography"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/geography', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
- 200
- 400
- 404
- 500
Example Response
{
"inventory": [\
{\
"virtualCounters": {\
"availableToPurchase": 10\
},\
"id": "62272e917b12209e68751d94",\
"sku": "SKU00025",\
"itemId": 4225678911,\
"locationNum": 473746,\
"channelId": 12,\
"vendorId": "vendor123",\
"leadTime": 1234,\
"inventoryType": "Safety stock",\
"infiniteInventory": true,\
"counters": {\
"on-hand": 10\
},\
"attributes": {\
"buy online, pick up in-store (bopis)": true\
}\
}\
],\
"locations": [\
{\
"locationNum": 473746,\
"distance": 4.5\
}\
]\
}
Error Responses
{
"message": "Invalid request payload or parameter"
}
{
"message": "Please enter postalCode OR Latitude - Longitude"
}
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
Authorization
- Type:
string - Location:
header - Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
x-site-context
- Type:
string - Required: Yes
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
Example x-site-context
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
InventoryGeoSearchModel
- Type:
object - Required: Yes
- Description: For better and accurate inventory search, provide either of the following values along with skus:
city and statepostal codelatitude and longitude
Response
200
- Content-Type:
application/json - Description: OK
- Response Attributes:
- inventory:
object[] - locations:
object[]
- inventory: